2019-12-06 05:48 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001984FSSCPFREDpublic2009-08-26 02:01
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0001984: Ship Vanish can cause crash in sexp_deal_with_ship_flag
DescriptionDoing some mission testing earlier today I ran into a crash. Turns out for some reason ship-vanish was used (apparently by accident) then ship-unstealthy for the same ship. While technically a bad FRED mistake it should not cause a crash. Several other sexps were used on the same ship after ship-vanish (clear-goals, add-goal, set-object-facing-object) and they did not cause a crash. Call stack and variables:

     fs2_open_3_6_11d_INF.exe!debug_int3(char * file=0x00dfe7b4, int line=9888) Line 760 C++
> fs2_open_3_6_11d_INF.exe!sexp_deal_with_ship_flag(int node=519, int object_flag=0, int object_flag2=0, int ship_flag=0, int ship_flag2=4, int p_object_flag=0, int p_object_flag2=2097152, int set_it=0, bool send_multiplayer=true, bool include_players_in_ship_lookup=false) Line 9888 + 0x13 bytes C++
     fs2_open_3_6_11d_INF.exe!sexp_ships_stealthy(int n=519, int stealthy=0) Line 10638 + 0x20 bytes C++
     fs2_open_3_6_11d_INF.exe!eval_sexp(int cur_node=518, int referenced_node=-1) Line 16130 + 0x16 bytes C++
     fs2_open_3_6_11d_INF.exe!eval_when(int n=517, int use_arguments=0) Line 6785 + 0xb bytes C++
     fs2_open_3_6_11d_INF.exe!eval_sexp(int cur_node=516, int referenced_node=-1) Line 16021 + 0x16 bytes C++
     fs2_open_3_6_11d_INF.exe!mission_process_event(int event=8) Line 913 + 0xb bytes C++
     fs2_open_3_6_11d_INF.exe!mission_eval_goals() Line 1062 + 0x9 bytes C++
     fs2_open_3_6_11d_INF.exe!game_simulation_frame() Line 4277 C++
     fs2_open_3_6_11d_INF.exe!game_frame(int paused=0) Line 4693 C++
     fs2_open_3_6_11d_INF.exe!game_do_frame() Line 5121 + 0x7 bytes C++
     fs2_open_3_6_11d_INF.exe!game_do_state(int state=2) Line 6892 C++
     fs2_open_3_6_11d_INF.exe!gameseq_process_events() Line 405 + 0x14 bytes C++
     fs2_open_3_6_11d_INF.exe!game_main(char * cmdline=0x00151f20) Line 7453 + 0x5 bytes C++
     fs2_open_3_6_11d_INF.exe!WinMain(HINSTANCE__ * hInst=0x00400000, HINSTANCE__ * hPrev=0x00000000, char * szCmdLine=0x00151f20, int nCmdShow=1) Line 7527 + 0x9 bytes C++
     fs2_open_3_6_11d_INF.exe!__tmainCRTStartup() Line 263 + 0x2c bytes C
     fs2_open_3_6_11d_INF.exe!WinMainCRTStartup() Line 182 C
     kernel32.dll!7c817067()
     [Frames below may be incorrect and/or missing, no symbols loaded for kernel32.dll]

Locals:
+ p_objp 0x00000000 {name=0x00000000 <Bad Ptr> next=??? prev=??? ...} p_object *
        node 519 int
        object_flag 0 int
        object_flag2 0 int
        ship_flag 0 int
        ship_flag2 4 int
        p_object_flag 0 int
        p_object_flag2 2097152 int
        set_it 0 int
        send_multiplayer true bool
        include_players_in_ship_lookup false bool
+ ship_name 0x0674a3fc "Harvester" char *
        ship_index -1 int
Additional Information3.6.11 r5531 Inferno.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011157

karajorma (administrator)

It definitely shouldn't be causing a crash. If I get some time I'll look into fixing this one.

~0011161

karajorma (administrator)

Just an overzealous use of Int3(). :)
+Notes

-Issue History
Date Modified Username Field Change
2009-08-24 00:11 FUBAR-BDHR New Issue
2009-08-25 07:19 karajorma Note Added: 0011157
2009-08-26 01:49 karajorma Status new => assigned
2009-08-26 01:49 karajorma Assigned To => karajorma
2009-08-26 02:01 karajorma Status assigned => resolved
2009-08-26 02:01 karajorma Fixed in Version => 3.6.11
2009-08-26 02:01 karajorma Resolution open => fixed
2009-08-26 02:01 karajorma Note Added: 0011161
+Issue History